Debian Bug report logs - #54840
xterm: should have a default translation for ISO_Left_Tab [FIXED in XFree86 4.0a]

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Carey Evans <carey@debian.org>

Date: Wed, 12 Jan 2000 07:03:06 UTC

Severity: wishlist

Found in version 3.3.5-2

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#54840; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Carey Evans <carey@debian.org>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carey Evans <carey@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: WIBNI if ISO_Left_Tab was mapped to something
Date: Wed, 12 Jan 2000 19:57:23 +1300
Package: xterm
Version: 3.3.5-2
Severity: wishlist

On my system, typing Shift-Tab generates the ISO_Left_Tab keysym,
which xterm ignores.  It seems to me that applications should be able
to receive this code if they're interested.  In particular, it would
be nice for my package tn5250.

Since there is currently no setting for kcbt in any of the xterm
terminfo definitions, I suggest that xterm is updated to generate an
escape sequence, and that this gets put in at least the xterm-debian
terminfo definition.  The Linux console terminfo uses \E[Z for kcbt,
which seems reasonable.

At a minimum, /etc/X11/Xresources/xterm could be updated to include:

    <Key>ISO_Left_Tab: string("\033[Z")

and the ncurses-term package updated to include kcbt=\E[Z.  I don't
see how either of these changes could affect existing applications,
unless someone is in the habit of hitting Shift-Tab and expecting
nothing to happen.  (You never know.)

Thanks for your time to read this, even if you disagree totally.

-- System Information
Debian Release: potato
Architecture: i386
Kernel: Linux psyche 2.2.14 #1 Wed Jan 5 20:24:09 NZDT 2000 i586

Versions of packages xterm depends on:
ii  libc6                         2.1.2-11   GNU C Library: Shared libraries an
ii  libncurses4                   4.2-4      Shared libraries for terminal hand
ii  ncurses-base                  4.2-3.4    Descriptions of common terminal ty
ii  xlib6g                        3.3.5-2    shared libraries required by X cli



Changed Bug title. Request was from Branden Robinson <branden@ecn.purdue.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@ecn.purdue.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #12 received at 54840-quiet@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: "T.E.Dickey" <dickey@clark.net>
Cc: 36737-done@bugs.debian.org, 43809-quiet@bugs.debian.org, 51143-quiet@bugs.debian.org, 55103-done@bugs.debian.org, 55105-quiet@bugs.debian.org, 55588-submitter@bugs.debian.org, 55688-quiet@bugs.debian.org, 55738-quiet@bugs.debian.org, 59062-done@bugs.debian.org, 44930-quiet@bugs.debian.org, 54840-quiet@bugs.debian.org
Subject: Re: xterm-bugs
Date: Tue, 11 Apr 2000 05:27:43 -0400
retitle 43809 xterm: the reverse video checkmark stays on [FIXED in XFree86 4.0a]
retitle 51143 xterm: cannot chown /dev/pts/3 to 0,0: No such file or directory [FIXED in XFree86 4.0a]
retitle 55105 xterm: does not accept ^- for an undefined tty control character [FIXED in XFree86 4.0a]
retitle 55688 xterm: vim and nvi don't work with keypad numbers [FIXED in XFree86 4.0a]
retitle 55738 xterm: remote visual bell turns off xterm attribute [FIXED in XFree86 4.0a]
retitle 44930 xterm: feature request: wait "hit RETURN" on child exit [FIXED in XFree86 4.0a]
retitle 54840 xterm: should have a default translation for ISO_Left_Tab [FIXED in XFree86 4.0a]

Thanks for the info, Tom!

Submitter of bug 55588 -- can you please explain your problem again?  Just mail
<55588@bugs.debian.org>.

On Mon, Apr 10, 2000 at 09:02:57AM -0400, T.E.Dickey wrote:
> you should be aware that the 4.0 source doesn't have my #131 patch,
> so colors don't work... (4.0a got it - sorry, I was too busy offline when
> the patches came out to review it properly).
> 
> otherwise, I'm referring to the code as of my #131 patch.
> 
> >                     Debian Bug report logs: package xterm
> >                                       
> >   Maintainer for xterm is Branden Robinson <branden@debian.org>.
> >   
> >   Note that with multi-binary packages there may be other reports filed
> >   under the different binary package names.
> >   
> >   See the listing of packages.
> >     _________________________________________________________________
> >   
> >normal bugs - outstanding
> >
> >   (List of all such Bugs is available)
> >     * #36737: xterm: escape sequence can put text into shell input
> >       buffer [UPSTREAM]; 349 days old
> 
> fixed for some time - both 3.3.6 and 4.x
> 
> >     * #43809: xterm: the reverse video checkmark stays on; 223 days old
> 
> fixed in 4.x.
> 
> >     * #51143: xterm: Cannot chown /dev/pts/3 to 0,0: No such file or
> >       directory; 138 days old
> 
> fixed.
> 
> >     * #55103: xterm does not pass LD_LIBRARY_PATH to its child; 86 days
> >       old
> 
> can't fix (this is a security feature of setuid)
> 
> >     * #55105: xterm does not accept ^- for an undefined tty control
> >       character; 86 days old
> 
> fixed in 4.x
> 
> >     * #55588: xterm: alternate screen no longer used + dselect now uses
> >       ugly colors; 82 days old
> 
> I don't understand this report
> 
> >     * #55688: vim and nvi don't work with keypad numbers; 81 days old
> 
> fixed in 4.x
> 
> >     * #55738: remote visual bell turns off xterm attribute; 81 days old
> 
> fixed in 4.x
> 
> >     * #59062: Important bug in xterm: escape code for scroll_reverse is
> >       not handled properly; 44 days old
> 
> this report is incorrect (joe is incorrect)
> 
> >     _________________________________________________________________
> >   
> >wishlist bugs - outstanding
> >
> >   (List of all such Bugs is available)
> >     * #35557: xterm: menu border always black, regardless of background
> >       [UPSTREAM]; 1 year and 7 days old
> >     * #44930: xterm: feature request: wait "hit RETURN" on child exit
> >       [UPSTREAM]; 210 days old
> 
> fixed in 4.x (-hold option)
> 
> >     * #54840: xterm: should have a default translation for ISO_Left_Tab
> >       [UPSTREAM]; 89 days old
> 
> fixed in 4.x
> 
> -- 
> Thomas E. Dickey
> dickey@clark.net
> http://www.clark.net/pub/dickey

-- 
G. Branden Robinson            |    "There is no gravity in space."
Debian GNU/Linux               |    "Then how could astronauts walk around
branden@ecn.purdue.edu         |     on the Moon?"
roger.ecn.purdue.edu/~branden/ |    "Because they were wearing heavy boots."


Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carey Evans <carey@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 54840-done@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: branden@debian.org, jordi@debian.org
Cc: 74737-done@bugs.debian.org, 67571-done@bugs.debian.org, 65478-done@bugs.debian.org, 65127-done@bugs.debian.org, 64713-done@bugs.debian.org, 64228-done@bugs.debian.org, 64014-done@bugs.debian.org, 59040-done@bugs.debian.org, 67229-done@bugs.debian.org, 57065-done@bugs.debian.org, 55738-done@bugs.debian.org, 55688-done@bugs.debian.org, 55105-done@bugs.debian.org, 51143-done@bugs.debian.org, 43809-done@bugs.debian.org, 46102-done@bugs.debian.org, 44669-done@bugs.debian.org, 43152-done@bugs.debian.org, 42164-done@bugs.debian.org, 41652-done@bugs.debian.org, 39930-done@bugs.debian.org, 37761-done@bugs.debian.org, 30052-done@bugs.debian.org, 28856-done@bugs.debian.org, 27183-done@bugs.debian.org, 25689-done@bugs.debian.org, 25688-done@bugs.debian.org, 54840-done@bugs.debian.org, 44930-done@bugs.debian.org, 62609-done@bugs.debian.org, 72235-done@bugs.debian.org, 35557-done@bugs.debian.org
Subject: Xterm cleanup for X4
Date: Thu, 9 Nov 2000 20:51:58 +0100
[Message part 1 (text/plain, inline)]
[ Repost]

Nice list of dead bugs. All of these Xterm bugs should be fixed with the
arrival of XFree86 4.0.1 packages.
If you think this is a mistake, please reopen your bug.
An brief explanation of each bug is below.

Jordi
--

## To Reassign
# This is not Xterm, but it's true that rxvt is not working anymore.
#67790: Ctrl+ and Ctrl- seem broken 

## To Close
# Tested, important
#74737: xterm fails to deal with the numeric keypad properly under lynx
#close 74737

# Tested
#67571: freezes on binary input
#close 67571

# Submitter says no bug
#65478: xterm: Xterm colors and keypad behavior are changed
#close 65478

# Xresources broken in 3.3.6-7
#65127: home/end keys don't work with xterm 3.3.6-7
#close 65127

# Fixed already in 3.3.6-8
#64713: xterm: ICH escape sequences not range checked -> segfault [UPSTREAM] 
#close 64713

# Fixed in X4
#64228: the case of the reversing xterm
#close 64228

# Fixed in X4
#64014: console brken on exit
#close 64014

# Fixed somewhere between 3.3.6-3 and X4.
#59040: vim and nvi do not resize 
#close 59040

# Fixed in 3.3.6-10
#67229: xterm: backspace and colour stopped working
#close 67229

# This can't be a bug.
#57065: xterm: ctrl-mouse button menus do not appear 
#close 57065

# Branden tagged these as Fixed in X4.0a
#55738: xterm: remote visual bell turns off xterm attribute [FIXED in XFree86 4.0a]
#55688: xterm: vim and nvi don't work with keypad numbers [FIXED in XFree86 4.0a]
#55105: xterm: does not accept ^- for an undefined tty control character [FIXED in XFree86 4.0a] 
#51143: xterm: cannot chown /dev/pts/3 to 0,0: No such file or directory [FIXED in XFree86 4.0a]
#43809: xterm: the reverse video checkmark stays on [FIXED in XFree86 4.0a]
#49714: xterm: Errors when run as root with /dev/pts # Merged with 51143
#close 55738
#close 55688
#close 55105
#close 51143
#close 43809

# Fixed in 3.3.6-1
#46102: xterm: locale 'Compose' information is incorrect
#close 46102

# Ancient, fixed bug
#44669: Resizing fails after iconify/deiconify when using activeIcon 
#close 44669

# We use $TERM=xterm now
#43152: TERM-Value of xterm 
#close 43152

# Ancient, fixed bug (tested with hu_HU)
#42164: xterm & rxvt vs. some locales
#close 42164

# Can't reproduce
#41652: bug: bugview borks my xterm screen
#close 41652

# This should be fixed at this point
#39930: xterm: ignores $XUSERFILESEARCHPATH [UPSTREAM]
#close 39930

# Tv maintains Xtermset
#37761: Please add xtermset
#close 37761

# Reverse video thing again
#30052: xterm: Problems with reverse video 
#close 30052

# Don't believe this applies still
#29363: xterm segmentation faults in some cases
#close 29363

# Ancient, fixed bug
#28856: xterm: Del works like Backspace in xterm-debian 
#close 28856

# No xterm-debian anymore
#27183: rxvt: Uses xterm-debian 
#close 27183

# Same, xterm-debian problems
#25689: xbase: Delete mapping in Xresources wrong if connecting from remote
#25688: xbase: termname should be set in app-defaults file rather than in Xresources
#close 25689
#close 25688

# Fixed in X4 wishlists
#54840: xterm: should have a default translation for ISO_Left_Tab [FIXED in XFree86 4.0a]
#44930: xterm: feature request: wait "hit RETURN" on child exit [FIXED in XFree86 4.0a]
#close 54840
#close 44930

# m2 tested this.
#62609: xterm: doesn't display non-breaking spaces (octal 240 in ISO 8859-1)
#close 62609

# Same as 54840
#72235: xterm: Please add terminfo binding for backtab
#close 72235

# Waiting for info, but -bd should be enough.
#35557: xterm: menu border always black, regardless of background [UPSTREAM]
#close 35557

## On hold, waiting for submitter reply (or Branden's confirmation)
#39964: xterm: window resizing problems [UPSTREAM] 
#37517: xterm: binary files can cause xterm to hang and dump into the printer queue with printerCommand [UPSTREAM]

## No clue // Untested // No opinion
#35386: xterm: -C option should read from /dev/xconsole, not /dev/console 
#24876: xbase: xterm's loginShell ressource should be set to true by default. 
# But this could be bash, or whatever, as Branden can't tickle it.
#19538: xterm resize no longer works fully

-- 
Jordi Mallach Pérez || jordi@pusa.informat.uv.es || Rediscovering Freedom,
   aka Oskuro in    || jordi@sindominio.net      || Using Debian GNU/Linux
 Reinos de Leyenda  || jordi@debian.org          || http://debian.org

http://sindominio.net  GnuPG public information:      pub  1024D/917A225E 
telnet pusa.uv.es 23   73ED 4244 FD43 5886 20AC  2644 2584 94BA 917A 225E
[Message part 2 (application/pgp-signature, inline)]

Message #18 received at 54840-done@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 74737-done@bugs.debian.org, 67571-done@bugs.debian.org, 65478-done@bugs.debian.org, 65127-done@bugs.debian.org, 64713-done@bugs.debian.org, 64228-done@bugs.debian.org, 64014-done@bugs.debian.org, 59040-done@bugs.debian.org, 67229-done@bugs.debian.org, 57065-done@bugs.debian.org, 55738-done@bugs.debian.org, 55688-done@bugs.debian.org, 55105-done@bugs.debian.org, 51143-done@bugs.debian.org, 43809-done@bugs.debian.org, 46102-done@bugs.debian.org, 44669-done@bugs.debian.org, 43152-done@bugs.debian.org, 42164-done@bugs.debian.org, 41652-done@bugs.debian.org, 39930-done@bugs.debian.org, 37761-done@bugs.debian.org, 30052-done@bugs.debian.org, 28856-done@bugs.debian.org, 27183-done@bugs.debian.org, 25689-done@bugs.debian.org, 25688-done@bugs.debian.org, 54840-done@bugs.debian.org, 44930-done@bugs.debian.org, 62609-done@bugs.debian.org, 72235-done@bugs.debian.org, 35557-done@bugs.debian.org
Subject: Xterm cleanup for X4
Date: Thu, 9 Nov 2000 03:38:04 +0100
[Message part 1 (text/plain, inline)]
Nice list of dead bugs. All of these Xterm bugs should be fixed with the
arrival of XFree86 4.0.1 packages.
If you think this is a mistake, please reopen your bug.
An brief explanation of each bug is below.

Jordi
--

## To Reassign
# This is not Xterm, but it's true that rxvt is not working anymore.
#67790: Ctrl+ and Ctrl- seem broken 

## To Close
# Tested, important
#74737: xterm fails to deal with the numeric keypad properly under lynx
#close 74737

# Tested
#67571: freezes on binary input
#close 67571

# Submitter says no bug
#65478: xterm: Xterm colors and keypad behavior are changed
#close 65478

# Xresources broken in 3.3.6-7
#65127: home/end keys don't work with xterm 3.3.6-7
#close 65127

# Fixed already in 3.3.6-8
#64713: xterm: ICH escape sequences not range checked -> segfault [UPSTREAM] 
#close 64713

# Fixed in X4
#64228: the case of the reversing xterm
#close 64228

# Fixed in X4
#64014: console brken on exit
#close 64014

# Fixed somewhere between 3.3.6-3 and X4.
#59040: vim and nvi do not resize 
#close 59040

# Fixed in 3.3.6-10
#67229: xterm: backspace and colour stopped working
#close 67229

# This can't be a bug.
#57065: xterm: ctrl-mouse button menus do not appear 
#close 57065

# Branden tagged these as Fixed in X4.0a
#55738: xterm: remote visual bell turns off xterm attribute [FIXED in XFree86 4.0a]
#55688: xterm: vim and nvi don't work with keypad numbers [FIXED in XFree86 4.0a]
#55105: xterm: does not accept ^- for an undefined tty control character [FIXED in XFree86 4.0a] 
#51143: xterm: cannot chown /dev/pts/3 to 0,0: No such file or directory [FIXED in XFree86 4.0a]
#43809: xterm: the reverse video checkmark stays on [FIXED in XFree86 4.0a]
#49714: xterm: Errors when run as root with /dev/pts # Merged with 51143
#close 55738
#close 55688
#close 55105
#close 51143
#close 43809

# Fixed in 3.3.6-1
#46102: xterm: locale 'Compose' information is incorrect
#close 46102

# Ancient, fixed bug
#44669: Resizing fails after iconify/deiconify when using activeIcon 
#close 44669

# We use $TERM=xterm now
#43152: TERM-Value of xterm 
#close 43152

# Ancient, fixed bug (tested with hu_HU)
#42164: xterm & rxvt vs. some locales
#close 42164

# Can't reproduce
#41652: bug: bugview borks my xterm screen
#close 41652

# This should be fixed at this point
#39930: xterm: ignores $XUSERFILESEARCHPATH [UPSTREAM]
#close 39930

# Tv maintains Xtermset
#37761: Please add xtermset
#close 37761

# Reverse video thing again
#30052: xterm: Problems with reverse video 
#close 30052

# Don't believe this applies still
#29363: xterm segmentation faults in some cases
#close 29363

# Ancient, fixed bug
#28856: xterm: Del works like Backspace in xterm-debian 
#close 28856

# No xterm-debian anymore
#27183: rxvt: Uses xterm-debian 
#close 27183

# Same, xterm-debian problems
#25689: xbase: Delete mapping in Xresources wrong if connecting from remote
#25688: xbase: termname should be set in app-defaults file rather than in Xresources
#close 25689
#close 25688

# Fixed in X4 wishlists
#54840: xterm: should have a default translation for ISO_Left_Tab [FIXED in XFree86 4.0a]
#44930: xterm: feature request: wait "hit RETURN" on child exit [FIXED in XFree86 4.0a]
#close 54840
#close 44930

# m2 tested this.
#62609: xterm: doesn't display non-breaking spaces (octal 240 in ISO 8859-1)
#close 62609

# Same as 54840
#72235: xterm: Please add terminfo binding for backtab
#close 72235

# Waiting for info, but -bd should be enough.
#35557: xterm: menu border always black, regardless of background [UPSTREAM]
#close 35557

## On hold, waiting for submitter reply (or Branden's confirmation)
#39964: xterm: window resizing problems [UPSTREAM] 
#37517: xterm: binary files can cause xterm to hang and dump into the printer queue with printerCommand [UPSTREAM]

## No clue // Untested // No opinion
#35386: xterm: -C option should read from /dev/xconsole, not /dev/console 
#24876: xbase: xterm's loginShell ressource should be set to true by default. 
# But this could be bash, or whatever, as Branden can't tickle it.
#19538: xterm resize no longer works fully

-- 
Jordi Mallach Pérez || jordi@pusa.informat.uv.es || Rediscovering Freedom,
   aka Oskuro in    || jordi@sindominio.net      || Using Debian GNU/Linux
 Reinos de Leyenda  || jordi@debian.org          || http://debian.org

http://sindominio.net  GnuPG public information:      pub  1024D/917A225E 
telnet pusa.uv.es 23   73ED 4244 FD43 5886 20AC  2644 2584 94BA 917A 225E
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:03:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.